
rgw - Bug #16464

multisite sync races with deletes

06/23/2016 09:22 PM - Casey Bodley

Status: Resolved % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee: Casey Bodley   

Category:    

Target version:    

Source: other Affected Versions:  

Tags:  ceph-qa-suite:  

Backport: jewel Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

Object sync can race with deletes, resulting in the object being recreated on the zone where it was deleted.

Related issues:

Related to rgw - Bug #15513: RGW multisite: Delete requests do not propagate ... Resolved 04/15/2016

Copied to rgw - Backport #16589: jewel: multisite sync races with deletes Resolved

History

#1 - 06/29/2016 03:49 PM - Casey Bodley

- Backport set to jewel

Initial work by Yehuda was merged already: https://github.com/ceph/ceph/pull/9481

A fix to that work is pending merge here: https://github.com/ceph/ceph/pull/9851

Both PRs will need backporting to jewel.

#2 - 07/05/2016 11:46 AM - Abhishek Lekshmanan

- Copied to Backport #16589: jewel: multisite sync races with deletes added

#3 - 07/05/2016 11:46 AM - Abhishek Lekshmanan

- Status changed from New to Pending Backport

#4 - 07/14/2016 08:15 AM - Abhishek Lekshmanan

For a clean backport ideally we'd have in https://github.com/ceph/ceph/pull/9295 as well.. I am making a backport pr with these, we'll delete this if its

not necessary

#5 - 08/08/2016 08:42 AM - Loïc Dachary

- Status changed from Pending Backport to Resolved

#6 - 03/02/2017 07:04 PM - Casey Bodley

- Related to Bug #15513: RGW multisite: Delete requests do not propagate to the peer zone added
